# $Revision: 1.23 $, $Date: 2002/09/27 13:46:49 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	Telnet
Summary:	Net::Telnet Perl module
Summary(cs):	Modul Net::Telnet pro Perl
Summary(da):	Perlmodul Net::Telnet
Summary(de):	Net::Telnet Perl Modul
Summary(es):	Mdulo de Perl Net::Telnet
Summary(fr):	Module Perl Net::Telnet
Summary(it):	Modulo di Perl Net::Telnet
Summary(ja):	Net::Telnet Perl ⥸塼
Summary(ko):	Net::Telnet  
Summary(no):	Perlmodul Net::Telnet
Summary(pl):	Modu Perla Net::Telnet
Summary(pt):	Mdulo de Perl Net::Telnet
Summary(pt_BR):	Mdulo Perl Net::Telnet
Summary(ru):	  Perl Net::Telnet
Summary(sv):	Net::Telnet Perlmodul
Summary(uk):	  Perl Net::Telnet
Summary(zh_CN):	Net::Telnet Perl ģ
Name:		perl-Net-Telnet
Version:	3.03
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Telnet - interact with TELNET port or other TCP ports.

%description -l pl
Net::Telnet - wsparcie dla protokou TELNET.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitelib}/Net/Telnet.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Net-Telnet.spec,v $
Revision 1.23  2002/09/27 13:46:49  ankry
- added tests, translations
- version 3.03, rel. 1

Revision 1.22  2002/08/05 19:01:04  marcus
- rel.6.
- use new %%doc

Revision 1.21  2002/07/10 08:48:16  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:33:28  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:19:13  depesz
automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:31:28  depesz
adapterized

Revision 1.15  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.13  2001/04/17 12:13:38  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/02/19 14:24:50  mis
- updated (by autoup) to 3.02

Revision 1.10  2001/01/19 06:24:53  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.9  2001/01/13 01:12:19  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 10:29:54  pius
- removed perl-Net-Ident from BuildRequires

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
